ResourceCalculatorPlugin (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.util
Class ResourceCalculatorPlugin

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.hadoop.util.ResourceCalculatorPlugin

All Implemented Interfaces:
  Configurable

Direct Known Subclasses:
  LinuxResourceCalculatorPlugin

    public abstract class ResourceCalculatorPlugin

extends Configured

Plugin to calculate resource information on the system.

Nested Class Summary
`static class` | `ResourceCalculatorPlugin.ProcResourceValues`

Constructor Summary
`ResourceCalculatorPlugin()`

Method Summary
`abstract long` | `getAvailablePhysicalMemorySize()` Obtain the total size of the available physical memory present in the system.
`abstract long` | `getAvailableVirtualMemorySize()` Obtain the total size of the available virtual memory present in the system.
`abstract long` | `getCpuFrequency()` Obtain the CPU frequency of on the system.
`abstract float` | `getCpuUsage()` Obtain the CPU usage % of the machine.
`abstract long` | `getCumulativeCpuTime()` Obtain the cumulative CPU time since the system is on.
`abstract int` | `getNumProcessors()` Obtain the total number of processors present on the system.
`abstract long` | `getPhysicalMemorySize()` Obtain the total size of the physical memory present in the system.
`abstract ResourceCalculatorPlugin.ProcResourceValues` | `getProcResourceValues()` Obtain resource status used by current process tree.
`static ResourceCalculatorPlugin` | `getResourceCalculatorPlugin(Class<? extends ResourceCalculatorPlugin> clazz, Configuration conf)` Get the ResourceCalculatorPlugin from the class name and configure it.
`abstract long` | `getVirtualMemorySize()` Obtain the total size of the virtual memory present in the system.

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceCalculatorPlugin

    public ResourceCalculatorPlugin()

Method Detail

### getVirtualMemorySize

    public abstract long getVirtualMemorySize()

  Obtain the total size of the virtual memory present in the system.

  Returns:
    virtual memory size in bytes.

### getPhysicalMemorySize

    public abstract long getPhysicalMemorySize()

  Obtain the total size of the physical memory present in the system.

  Returns:
    physical memory size bytes.

### getAvailableVirtualMemorySize

    public abstract long getAvailableVirtualMemorySize()

  Obtain the total size of the available virtual memory present in the system.

  Returns:
    available virtual memory size in bytes.

### getAvailablePhysicalMemorySize

    public abstract long getAvailablePhysicalMemorySize()

  Obtain the total size of the available physical memory present in the system.

  Returns:
    available physical memory size bytes.

### getNumProcessors

    public abstract int getNumProcessors()

  Obtain the total number of processors present on the system.

  Returns:
    number of processors

### getCpuFrequency

    public abstract long getCpuFrequency()

  Obtain the CPU frequency of on the system.

  Returns:
    CPU frequency in kHz

### getCumulativeCpuTime

    public abstract long getCumulativeCpuTime()

  Obtain the cumulative CPU time since the system is on.

  Returns:
    cumulative CPU time in milliseconds

### getCpuUsage

    public abstract float getCpuUsage()

  Obtain the CPU usage % of the machine. Return -1 if it is unavailable

  Returns:
    CPU usage in %

### getProcResourceValues

    public abstract ResourceCalculatorPlugin.ProcResourceValues getProcResourceValues()

  Obtain resource status used by current process tree.

### getResourceCalculatorPlugin

    public static ResourceCalculatorPlugin getResourceCalculatorPlugin(Class<? extends ResourceCalculatorPlugin> clazz,
                                                                       Configuration conf)

  Get the ResourceCalculatorPlugin from the class name and configure it. If class name is null, this method will try and return a memory calculator plugin available for this system.

  Parameters:
    `clazz` - class-name
    `conf` - configure the plugin with this.
  Returns:
    ResourceCalculatorPlugin

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation